# Permissions

This only applies to servers running **QBCore Framework**...

* If you can't open certain admin commands even when you have the needed ranks (admin), is because you are missing some permissions in your server.cfg
* Here are my permissions, compare it with yours and replace the identifiers with yours, restart the server and everything will work.
* It still shows **"You don't have permissions" message?**, compare the permissions code again, you are missing the latest one, for some reason TxAdmin recipe doesn't add it.

```markdown
## Permissions ##
add_ace group.admin command allow # allow all commands
#add_principal identifier.{{principalMasterIdentifier}} qbcore.god <- doesn't exist yet, change the generated one below to qbcore.god
add_principal identifier.fivem:REPLACE_ME group.admin

# Resources
add_ace resource.qb-core command allow # Allow qb-core to execute commands

# Gods
add_ace qbcore.god command allow # Allow all commands

# Inheritance
add_principal qbcore.god group.admin # Allow gods access to the main admin group used to get all default permissions
add_principal qbcore.god qbcore.admin # Allow gods access to admin commands
add_principal qbcore.admin qbcore.mod # Allow admins access to mod commands

# Most servers are missing this permission line:
add_principal identifier.license:REPLACE_ME qbcore.god 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/laptop-v3/installation/permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
